Node Generate Tags
Generate proposed tags for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
/nodes/{node_slug}/tagsGenerate proposed tags for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
In: cookie
Path Parameters
Unique node Slug.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A request for generated tags for a node. A request for generated tags does not use the existing content on a node but takes the current client's content state (from an "edit mode" text box for example) and sends that in order to generate potential tags using an LLM.
Response Body
application/json
application/json
curl -X POST "https://example.com/nodes/cc5lnd2s1s4652adtu50/tags" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'{
"tags": [
"string"
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Node Generate Content POST
Generate proposed content for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
Node Generate Title POST
Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.